#!/bin/tcsh
set surfpath = ~/schaefer_yeo/sy_vol/schaefer_yeo/suma_MNI152_2009
set atlaspath = ~/abin
foreach hemi ( lh rh )
   3dVol2Surf -spec $surfpath/std.60.MNI152_2009_both.spec \
       -surf_A std.60.${hemi}.smoothwm.gii \
       -surf_B std.60.${hemi}.pial.gii -sv $atlaspath/MNI152_2009_template.nii.gz \
       -grid_parent $atlaspath/BN_Atlas_246_1mm.nii.gz -gp_index 0 \
       -map_func nzmode -f_steps 10 -f_index nodes \
       -cmask "-a $atlaspath/BN_Atlas_246_1mm.nii.gz -expr astep(a,0.000000)" \
       -out_niml bnsurfatlas_beta0.${hemi}.niml.dset
   SurfLocalstat -hood 5 -stat mode -input bnsurfatlas_beta0.${hemi}.niml.dset \
       -i_gii $surfpath/std.60.${hemi}.smoothwm.gii \
       -prefix bnsurfatlas_beta0_mode5mm.${hemi}.niml.dset
end
